Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005945 [JEDI VCL] 02 Installation block always 2012-08-02 22:41 2012-09-10 14:15
Reporter Salvatore Besso View Status public  
Assigned To AHUser
Priority normal Resolution fixed  
Status resolved   Product Version Daily / GIT
Summary 0005945: Cannot complete installation (RAD Studio XE2)
Description as per subject, an error occurs blocking whole compilation:

============================================================================
[Compiling: JvGlobus160.bpl]
Embarcadero Delphi for Win32 compiler version 23.0
Copyright (c) 1983,2011 Embarcadero Technologies, Inc.

D:\RAD Studio\Components\JVCL\run\JvgHTTPVersionInfo.pas(133) Error: E2009 Incompatible types: 'Parameter lists differ'
JvGlobus.dpk(1863) Fatal: F2063 Could not compile used unit 'JvgHTTPVersionInfo.pas'
============================================================================

I have just switched from XE to XE2, I have completely cleaned up all components, updated both JCL and JVCL to latest SVN snapshot (10 minutes ago), so I'm fairly sure that there are no remnants of previous installations.

I have examined the above file, but I cannot see anything useful at line 133.

Blocked.

Regards
Salvatore
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0020071)
Salvatore Besso (reporter)
2012-08-02 22:43

I forgot to specify the exact version:

RAD Studio XE2 Architect update 4 hotfix 1

I have selected to compile both 32 and 64 bit packages
(0020073)
Salvatore Besso (reporter)
2012-08-03 08:37

I also forgot to mention that this problem arises from the fact that I have enabled "Internet components" in JVCL.inc.

Bug found in JvgHTTPVersionInfo.pas at lines 53 and 54. The declaration:

procedure OnLoadVersionInfo(Sender: TObject; const PDisp: IDispatch; var URL: OleVariant);

differs from the declaration in SHDocVw.pas:

TWebBrowserDocumentComplete = procedure(ASender: TObject; const pDisp: IDispatch; const URL: OleVariant) of object;

I have corrected the declaration from var to const again and the unit now compiles, but later I get another error:

[Compiling: JvPascalInterpreter160.bpl]
Embarcadero Delphi for Win32 compiler version 23.0
Copyright (c) 1983,2011 Embarcadero Technologies, Inc.
D:\RAD Studio\Components\JVCL\run\JvInterpreter_httpapp.pas(56) Fatal: F1026 File not found: 'HTTPApp.dcu'

For now I have decided to give up with Internet components (I actually don't really need them) until this problem will be resolved.
(0020119)
AHUser (developer)
2012-08-19 10:35

Fixed in svn revision 13401.

- Issue History
Date Modified Username Field Change
2012-08-02 22:41 Salvatore Besso New Issue
2012-08-02 22:43 Salvatore Besso Note Added: 0020071
2012-08-03 08:37 Salvatore Besso Note Added: 0020073
2012-08-19 10:35 AHUser Note Added: 0020119
2012-08-19 10:35 AHUser Status new => resolved
2012-08-19 10:35 AHUser Fixed in Version => Daily / SVN
2012-08-19 10:35 AHUser Resolution open => fixed
2012-08-19 10:35 AHUser Assigned To => AHUser
2012-09-10 14:15 obones Fixed in Version Daily / SVN => 3.46


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker